From 7a13bed00756b7136d3d633abfdb1d0a4dbfb6cb Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 11 Jun 2019 16:47:34 +0200
Subject: [PATCH v1 4/4] Make identity/serial sequences unlogged when their
 table is

see bug #15631
---
 src/backend/parser/parse_utilcmd.c        | 1 +
 src/test/regress/expected/alter_table.out | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/backend/parser/parse_utilcmd.c b/src/backend/parser/parse_utilcmd.c
index 7450d74b7a..30e4fb21db 100644
--- a/src/backend/parser/parse_utilcmd.c
+++ b/src/backend/parser/parse_utilcmd.c
@@ -434,6 +434,7 @@ generateSerialExtraStmts(CreateStmtContext *cxt, ColumnDef *column,
 	seqstmt = makeNode(CreateSeqStmt);
 	seqstmt->for_identity = for_identity;
 	seqstmt->sequence = makeRangeVar(snamespace, sname, -1);
+	seqstmt->sequence->relpersistence = cxt->relation->relpersistence;
 	seqstmt->options = seqoptions;
 
 	/*
diff --git a/src/test/regress/expected/alter_table.out b/src/test/regress/expected/alter_table.out
index c845a16d55..ab58803aef 100644
--- a/src/test/regress/expected/alter_table.out
+++ b/src/test/regress/expected/alter_table.out
@@ -3247,7 +3247,7 @@ ORDER BY relname;
  toast index      | i       | u
  toast table      | t       | u
  unlogged1        | r       | u
- unlogged1_f1_seq | S       | p
+ unlogged1_f1_seq | S       | u
  unlogged1_pkey   | i       | u
 (5 rows)
 
@@ -3269,7 +3269,7 @@ ORDER BY relname;
  toast index      | i       | p
  toast table      | t       | p
  unlogged1        | r       | p
- unlogged1_f1_seq | S       | p
+ unlogged1_f1_seq | S       | u
  unlogged1_pkey   | i       | p
 (5 rows)
 
-- 
2.22.0

